plist-cil : Claunia.PropertyList Namespace

# NSData Class

NSData objects are wrappers for byte buffers

## Syntax

public class NSData : NSObject

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: Claunia.PropertyList
Assembly: plist-cil (in plist-cil.dll)
Assembly Versions: 1.13.0.0, 1.14.0.0

## Members

See Also: Inherited members from NSObject.

## Public Constructors

| NSData (byte[]) | Creates the NSData object from the binary representation of it.
| NSData (System.IO.FileInfo) | Creates a NSData object from a file. Using the files contents as the contents of this NSData object.
| NSData (string) | Creates a NSData object from its textual representation, which is a Base64 encoded amount of bytes.

## Public Properties

[read-only] | Bytes | byte[]. The bytes contained in this NSData object.
[read-only] | Length | int . Gets the amount of data stored in this object.

## Public Methods

override | Equals (NSObject) : bool Determines whether the specified Claunia.PropertyList.NSObject is equal to the current Claunia.PropertyList.NSData.
abstract | Equals (NSObject) : bool Determines if the specific NSObject is the same as the NSObject overriding this method. (Inherited from NSObject.)
override | Equals (object) : bool Determines whether the specified object is equal to the current Claunia.PropertyList.NSData.
| GetBase64EncodedData () : string Gets the Base64 encoded data contained in this NSData object.
| GetBytes (System.IO.MemoryStream, int) Loads the bytes from this NSData object into a byte buffer.
| GetBytes (System.IO.MemoryStream, int, int) Loads the bytes from this NSData object into a byte buffer.
override | GetHashCode () : int Serves as a hash function for a Claunia.PropertyList.NSData object.
| ToObject () : object Converts this NSObject into an equivalent object of the .NET Runtime Environment. Claunia.PropertyList.NSArray objects are converted to arrays. Claunia.PropertyList.NSDictionary objects are converted to objects extending the Dictionary`2 class. Claunia.PropertyList.NSSet objects are converted to objects extending the List`1 class. Claunia.PropertyList.NSNumber objects are converted to primitive number values (int, long, double or bool). Claunia.PropertyList.NSString objects are converted to string objects. Claunia.PropertyList.NSData objects are converted to byte arrays. Claunia.PropertyList.NSDate objects are converted to DateTime objects. Claunia.PropertyList.UID objects are converted to byte arrays. (Inherited from NSObject.)
| ToXmlPropertyList () : string Generates a valid XML property list including headers using this object as root. (Inherited from NSObject.)

## Member Details

### NSData Constructor

> Creates the NSData object from the binary representation of it.

> ## Syntax

> public NSData (byte[] bytes)

> #### Parameters

> > bytes
> >   The raw data contained in the NSData object.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### NSData Constructor

> Creates a NSData object from a file. Using the files contents as the contents of this NSData object.

> ## Syntax

> public NSData (System.IO.FileInfo file)

> #### Parameters

> > file
> >   The file containing the data.

> #### Exceptions

> > Type | Reason
> > --- | ---
> > System.IO.FileNotFoundException | If the file could not be found.
> > System.IO.IOException | If the file could not be read.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### NSData Constructor

> Creates a NSData object from its textual representation, which is a Base64 encoded amount of bytes.

> ## Syntax

> public NSData (string base64)

> #### Parameters

> > base64
> >   The Base64 encoded contents of the NSData object.

> #### Exceptions

> > Type | Reason
> > --- | ---
> > FormatException | When the given string is not a proper Base64 formatted string.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Bytes Property

> The bytes contained in this NSData object.

> ## Syntax

> public byte[] Bytes { get; }

> #### Value

> > The data as bytes

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Equals Method

> Determines whether the specified Claunia.PropertyList.NSObject is equal to the current Claunia.PropertyList.NSData.

> ## Syntax

> public override bool Equals (NSObject obj)

> #### Parameters

> > obj
> >   The Claunia.PropertyList.NSObject to compare with the current Claunia.PropertyList.NSData.

> #### Returns

> > `true` if the specified Claunia.PropertyList.NSObject is equal to the current Claunia.PropertyList.NSData; otherwise, `false`.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Equals Method

> Determines whether the specified object is equal to the current Claunia.PropertyList.NSData.

> ## Syntax

> public override bool Equals (object obj)

> #### Parameters

> > obj
> >   The object to compare with the current Claunia.PropertyList.NSData.

> #### Returns

> > `true` if the specified object is equal to the current Claunia.PropertyList.NSData; otherwise, `false`.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### GetBase64EncodedData Method

> Gets the Base64 encoded data contained in this NSData object.

> ## Syntax

> public string GetBase64EncodedData ()

> #### Returns

> > The Base64 encoded data as a `string`.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### GetBytes Method

> Loads the bytes from this NSData object into a byte buffer.

> ## Syntax

> public void GetBytes (System.IO.MemoryStream buf, int length)

> #### Parameters

> > buf
> >   The byte buffer which will contain the data
> > length
> >   The amount of data to copy

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### GetBytes Method

> Loads the bytes from this NSData object into a byte buffer.

> ## Syntax

> public void GetBytes (System.IO.MemoryStream buf, int rangeStart, int rangeStop)

> #### Parameters

> > buf
> >   The byte buffer which will contain the data
> > rangeStart
> >   The start index.
> > rangeStop
> >   The stop index.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### GetHashCode Method

> Serves as a hash function for a Claunia.PropertyList.NSData object.

> ## Syntax

> public override int GetHashCode ()

> #### Returns

> > A hash code for this instance that is suitable for use in hashing algorithms and data structures such as a hash table.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Length Property

> Gets the amount of data stored in this object.

> ## Syntax

> public int Length { get; }

> #### Value

> > The number of bytes contained in this object.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0